% Generated by roxygen2 (4.1.1): do not edit by hand
% Please edit documentation in R/02Metaheur.R
\name{metaheur}
\alias{metaheur}
\title{metaheur}
\usage{
metaheur(gridclassobject, startgrid = 0, startnum = 1, iterations = 5,
  taboolistlength = 1, initialtemperature = 0.01, tempconst = 0.01,
  reheat = 0.01, nholdout = 1, late = 0, stopcond = 1,
  stopvalue = 0.95, deltafive = 0.05, verbose = FALSE,
  predictor = "knn")
}
\arguments{
\item{gridclassobject}{(GridClass) created by setgrid function in preprocomb package}

\item{startgrid}{(integer) 0 random restart (default), 1 grid restart}

\item{startnum}{(integer) number of restarts}

\item{iterations}{(integer) number of iterations done for a restart, default to 5}

\item{taboolistlength}{(integer) number of previous solution that can not be revisited, > 1}

\item{initialtemperature}{(numeric) initial propability for acccepting an inferior candidate, between 0 and 1}

\item{tempconst}{(numeric) multiplier for decreasing temperature on each iteration}

\item{reheat}{(numeric) propability of increasing temperature on each iteration}

\item{nholdout}{(integer) number of holdout rounds}

\item{late}{(integer) location of previous best solution a candidate is compared to, default to 0 for last}

\item{stopcond}{(integer) type of stopping condition, default to 1 for threshold, 2 for convergence}

\item{stopvalue}{(numeric) threshold for stopping, defaults to 0.95}

\item{deltafive}{(numeric) convergence criteria for last five iteration, defaults to 0.05}

\item{verbose}{(boolean)}

\item{predictor}{(character) caret name of predictive model, defaults to "knn"}
}
\description{
Metaheuristic optimization of preprocessing combinations
}
\examples{
## result <- metaheur(examplegrid,verbose=TRUE)
## getbestheur(result)
}

